Security Information

In order to guarantee the security of data transmission to our website, we require certain minimum versions of web browsers:

  • Mozilla Firefox Version 27
  • Google Chrome Version 30
  • Internet Explorer Version 11
  • Microsoft Edge
  • Opera Version 17
  • Safari Version 9

In addition, there are the following minimum requirements:

  • Android 5.0
  • Java 8

You can find the current version of your browser in the Help menu.

Please note that we cannot guarantee secure transmission and complete operation of our website with older versions of the specified software.